Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when displaying docs

From: Richard Stallman <[email-masked]>
Date: Sat, 06 Mar 2021 00:11:01 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Help windows and Info show quoted symbols linked/highlighted. The quotes
  > are added to denote the symbol in source docs, but when the symbol is
  > linked/highlighted then the symbol is already processed for display and
  > emphasised,  so there is  no need for displaying  the quotes.

Sometimes there is.
 
  > Unnecessary characters make the text harder to the read, so the quotes
  > should be hidden from display in docs.

You're proposing to achieve a minor benefit by risking confusion.
This is a bad sort of bet.

To be sure that no significant serious confusion would result would
require a careful study of all the sorts of situations that can occur.
In the absence of that, I say no.

In fact, I know of a situation that would become unclear: @code{FOO}
would become indistinguishable from @var{foo}.

Why would capital letters appear in @code{}?  For shell variables with
upper-case names.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)